package com.bytedance.ies.nle.editor_jni;

import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class NLESegmentAudio extends NLESegment {
    public transient long LIZ;
    public transient boolean LIZIZ;

    static {
        Covode.recordClassIndex(29846);
    }

    public void finalize() {
        delete();
    }

    public NLESegmentAudio() {
        this(NLEEditorJniJNI.new_NLESegmentAudio());
        MethodCollector.i(18601);
        MethodCollector.o(18601);
    }

    public static int LJIILIIL() {
        MethodCollector.i(18439);
        int NLESegmentAudio_REPEAT_NORMAL_get = NLEEditorJniJNI.NLESegmentAudio_REPEAT_NORMAL_get();
        MethodCollector.o(18439);
        return NLESegmentAudio_REPEAT_NORMAL_get;
    }

    public static int LJIILJJIL() {
        MethodCollector.i(18441);
        int NLESegmentAudio_REPEAT_INFINITE_get = NLEEditorJniJNI.NLESegmentAudio_REPEAT_INFINITE_get();
        MethodCollector.o(18441);
        return NLESegmentAudio_REPEAT_INFINITE_get;
    }

    public final long LIZ() {
        MethodCollector.i(18554);
        long NLESegmentAudio_getDuration = NLEEditorJniJNI.NLESegmentAudio_getDuration(this.LIZ, this);
        MethodCollector.o(18554);
        return NLESegmentAudio_getDuration;
    }

    public final long LIZLLL() {
        MethodCollector.i(18064);
        long NLESegmentAudio_getFadeInLength = NLEEditorJniJNI.NLESegmentAudio_getFadeInLength(this.LIZ, this);
        MethodCollector.o(18064);
        return NLESegmentAudio_getFadeInLength;
    }

    public final long LJ() {
        MethodCollector.i(18066);
        long NLESegmentAudio_getFadeOutLength = NLEEditorJniJNI.NLESegmentAudio_getFadeOutLength(this.LIZ, this);
        MethodCollector.o(18066);
        return NLESegmentAudio_getFadeOutLength;
    }

    public final float LJFF() {
        MethodCollector.i(18068);
        float NLESegmentAudio_getVolume = NLEEditorJniJNI.NLESegmentAudio_getVolume(this.LIZ, this);
        MethodCollector.o(18068);
        return NLESegmentAudio_getVolume;
    }

    public final long LJI() {
        MethodCollector.i(18070);
        long NLESegmentAudio_getTimeClipStart = NLEEditorJniJNI.NLESegmentAudio_getTimeClipStart(this.LIZ, this);
        MethodCollector.o(18070);
        return NLESegmentAudio_getTimeClipStart;
    }

    public final long LJII() {
        MethodCollector.i(18073);
        long NLESegmentAudio_getTimeClipEnd = NLEEditorJniJNI.NLESegmentAudio_getTimeClipEnd(this.LIZ, this);
        MethodCollector.o(18073);
        return NLESegmentAudio_getTimeClipEnd;
    }

    public final float LJIIIIZZ() {
        MethodCollector.i(18076);
        float NLESegmentAudio_getSpeed = NLEEditorJniJNI.NLESegmentAudio_getSpeed(this.LIZ, this);
        MethodCollector.o(18076);
        return NLESegmentAudio_getSpeed;
    }

    public final void LJIIIZ() {
        MethodCollector.i(18215);
        NLEEditorJniJNI.NLESegmentAudio_clearCurveSpeedPoint(this.LIZ, this);
        MethodCollector.o(18215);
    }

    public final void LJIIJJI() {
        MethodCollector.i(18435);
        NLEEditorJniJNI.NLESegmentAudio_clearSegCurveSpeedPoint(this.LIZ, this);
        MethodCollector.o(18435);
    }

    public final int LJIILL() {
        MethodCollector.i(18443);
        int NLESegmentAudio_getRepeatCount = NLEEditorJniJNI.NLESegmentAudio_getRepeatCount(this.LIZ, this);
        MethodCollector.o(18443);
        return NLESegmentAudio_getRepeatCount;
    }

    public final boolean LJIILLIIL() {
        MethodCollector.i(18445);
        boolean NLESegmentAudio_getKeepTone = NLEEditorJniJNI.NLESegmentAudio_getKeepTone(this.LIZ, this);
        MethodCollector.o(18445);
        return NLESegmentAudio_getKeepTone;
    }

    public final boolean LJIIZILJ() {
        MethodCollector.i(18446);
        boolean NLESegmentAudio_hasChanger = NLEEditorJniJNI.NLESegmentAudio_hasChanger(this.LIZ, this);
        MethodCollector.o(18446);
        return NLESegmentAudio_hasChanger;
    }

    public final float LJIJJ() {
        MethodCollector.i(18455);
        float NLESegmentAudio_getAbsSpeed = NLEEditorJniJNI.NLESegmentAudio_getAbsSpeed(this.LIZ, this);
        MethodCollector.o(18455);
        return NLESegmentAudio_getAbsSpeed;
    }

    public final boolean LJIJJLI() {
        MethodCollector.i(18458);
        boolean NLESegmentAudio_getRewind = NLEEditorJniJNI.NLESegmentAudio_getRewind(this.LIZ, this);
        MethodCollector.o(18458);
        return NLESegmentAudio_getRewind;
    }

    public final double LJIL() {
        MethodCollector.i(18504);
        double NLESegmentAudio_getCurveAveSpeed = NLEEditorJniJNI.NLESegmentAudio_getCurveAveSpeed(this.LIZ, this);
        MethodCollector.o(18504);
        return NLESegmentAudio_getCurveAveSpeed;
    }

    public final String LJJIFFI() {
        MethodCollector.i(18600);
        String NLESegmentAudio_changerToEffectJson = NLEEditorJniJNI.NLESegmentAudio_changerToEffectJson(this.LIZ, this);
        MethodCollector.o(18600);
        return NLESegmentAudio_changerToEffectJson;
    }

    public final NLEResourceNode LIZIZ() {
        MethodCollector.i(18552);
        long NLESegmentAudio_getResource = NLEEditorJniJNI.NLESegmentAudio_getResource(this.LIZ, this);
        if (NLESegmentAudio_getResource == 0) {
            MethodCollector.o(18552);
            return null;
        }
        NLEResourceNode nLEResourceNode = new NLEResourceNode(NLESegmentAudio_getResource);
        MethodCollector.o(18552);
        return nLEResourceNode;
    }

    public final VecNLEPointSPtr LJIIJ() {
        MethodCollector.i(18434);
        VecNLEPointSPtr vecNLEPointSPtr = new VecNLEPointSPtr(NLEEditorJniJNI.NLESegmentAudio_getCurveSpeedPoints(this.LIZ, this));
        MethodCollector.o(18434);
        return vecNLEPointSPtr;
    }

    public final VecNLEPointSPtr LJIIL() {
        MethodCollector.i(18437);
        VecNLEPointSPtr vecNLEPointSPtr = new VecNLEPointSPtr(NLEEditorJniJNI.NLESegmentAudio_getSegCurveSpeedPoints(this.LIZ, this));
        MethodCollector.o(18437);
        return vecNLEPointSPtr;
    }

    public final NLEResourceAV LJIJ() {
        MethodCollector.i(18448);
        long NLESegmentAudio_getAVFile = NLEEditorJniJNI.NLESegmentAudio_getAVFile(this.LIZ, this);
        if (NLESegmentAudio_getAVFile == 0) {
            MethodCollector.o(18448);
            return null;
        }
        NLEResourceAV nLEResourceAV = new NLEResourceAV(NLESegmentAudio_getAVFile);
        MethodCollector.o(18448);
        return nLEResourceAV;
    }

    public final NLEResourceAV LJIJI() {
        MethodCollector.i(18450);
        long NLESegmentAudio_getReversedAVFile = NLEEditorJniJNI.NLESegmentAudio_getReversedAVFile(this.LIZ, this);
        if (NLESegmentAudio_getReversedAVFile == 0) {
            MethodCollector.o(18450);
            return null;
        }
        NLEResourceAV nLEResourceAV = new NLEResourceAV(NLESegmentAudio_getReversedAVFile);
        MethodCollector.o(18450);
        return nLEResourceAV;
    }

    public final VecNLEPointSPtr LJJ() {
        MethodCollector.i(18551);
        VecNLEPointSPtr vecNLEPointSPtr = new VecNLEPointSPtr(NLEEditorJniJNI.NLESegmentAudio_getSeqCurveSpeedPoints(this.LIZ, this));
        MethodCollector.o(18551);
        return vecNLEPointSPtr;
    }

    public final NLEResourceNode LJJI() {
        MethodCollector.i(18553);
        long NLESegmentAudio_getPlayResource = NLEEditorJniJNI.NLESegmentAudio_getPlayResource(this.LIZ, this);
        if (NLESegmentAudio_getPlayResource == 0) {
            MethodCollector.o(18553);
            return null;
        }
        NLEResourceNode nLEResourceNode = new NLEResourceNode(NLESegmentAudio_getPlayResource);
        MethodCollector.o(18553);
        return nLEResourceNode;
    }

    public NLENode clone() {
        MethodCollector.i(18061);
        long NLESegmentAudio_clone = NLEEditorJniJNI.NLESegmentAudio_clone(this.LIZ, this);
        if (NLESegmentAudio_clone == 0) {
            MethodCollector.o(18061);
            return null;
        }
        NLENode nLENode = new NLENode(NLESegmentAudio_clone, true);
        MethodCollector.o(18061);
        return nLENode;
    }

    public synchronized void delete() {
        MethodCollector.i(18058);
        long j = this.LIZ;
        if (j != 0) {
            if (this.LIZIZ) {
                this.LIZIZ = false;
                NLEEditorJniJNI.delete_NLESegmentAudio(j);
            }
            this.LIZ = 0;
        }
        super.delete();
        MethodCollector.o(18058);
    }

    public void swigSetCMemOwn(boolean z) {
        this.LIZIZ = z;
        super.swigSetCMemOwn(z);
    }

    public final void LIZIZ(float f) {
        MethodCollector.i(18074);
        NLEEditorJniJNI.NLESegmentAudio_setSpeed(this.LIZ, this, f);
        MethodCollector.o(18074);
    }

    public final void LIZJ(float f) {
        MethodCollector.i(18453);
        NLEEditorJniJNI.NLESegmentAudio_setAbsSpeed(this.LIZ, this, f);
        MethodCollector.o(18453);
    }

    public NLESegmentAudio(long j) {
        super(NLEEditorJniJNI.NLESegmentAudio_SWIGSmartPtrUpcast(j));
        MethodCollector.i(18054);
        this.LIZIZ = true;
        this.LIZ = j;
        MethodCollector.o(18054);
    }

    public static NLESegmentAudio LIZ(NLENode nLENode) {
        NLESegmentAudio nLESegmentAudio;
        MethodCollector.i(18059);
        long NLESegmentAudio_dynamicCast = NLEEditorJniJNI.NLESegmentAudio_dynamicCast(NLENode.getCPtr(nLENode), nLENode);
        if (NLESegmentAudio_dynamicCast == 0) {
            nLESegmentAudio = null;
        } else {
            nLESegmentAudio = new NLESegmentAudio(NLESegmentAudio_dynamicCast);
        }
        MethodCollector.o(18059);
        return nLESegmentAudio;
    }

    public final void LIZJ(long j) {
        MethodCollector.i(18069);
        NLEEditorJniJNI.NLESegmentAudio_setTimeClipStart(this.LIZ, this, j);
        MethodCollector.o(18069);
    }

    public final void LIZLLL(long j) {
        MethodCollector.i(18072);
        NLEEditorJniJNI.NLESegmentAudio_setTimeClipEnd(this.LIZ, this, j);
        MethodCollector.o(18072);
    }

    public final void LIZ(float f) {
        MethodCollector.i(18067);
        NLEEditorJniJNI.NLESegmentAudio_setVolume(this.LIZ, this, f);
        MethodCollector.o(18067);
    }

    public final void LIZIZ(long j) {
        MethodCollector.i(18065);
        NLEEditorJniJNI.NLESegmentAudio_setFadeOutLength(this.LIZ, this, j);
        MethodCollector.o(18065);
    }

    public final void LIZ(int i) {
        MethodCollector.i(18442);
        NLEEditorJniJNI.NLESegmentAudio_setRepeatCount(this.LIZ, this, i);
        MethodCollector.o(18442);
    }

    public final void LIZIZ(NLEResourceAV nLEResourceAV) {
        MethodCollector.i(18449);
        NLEResourceAV nLEResourceAV2 = nLEResourceAV;
        NLEEditorJniJNI.NLESegmentAudio_setReversedAVFile(this.LIZ, this, NLEResourceAV.LIZ(nLEResourceAV2), nLEResourceAV2);
        MethodCollector.o(18449);
    }

    public final void LIZ(long j) {
        MethodCollector.i(18062);
        NLEEditorJniJNI.NLESegmentAudio_setFadeInLength(this.LIZ, this, j);
        MethodCollector.o(18062);
    }

    public final void LIZIZ(boolean z) {
        MethodCollector.i(18457);
        NLEEditorJniJNI.NLESegmentAudio_setRewind(this.LIZ, this, z);
        MethodCollector.o(18457);
    }

    public final void LIZ(NLEPoint nLEPoint) {
        MethodCollector.i(18161);
        NLEPoint nLEPoint2 = nLEPoint;
        NLEEditorJniJNI.NLESegmentAudio_addCurveSpeedPoint(this.LIZ, this, NLEPoint.LIZ(nLEPoint2), nLEPoint2);
        MethodCollector.o(18161);
    }

    public final void LIZ(NLEResourceAV nLEResourceAV) {
        MethodCollector.i(18447);
        NLEResourceAV nLEResourceAV2 = nLEResourceAV;
        NLEEditorJniJNI.NLESegmentAudio_setAVFile(this.LIZ, this, NLEResourceAV.LIZ(nLEResourceAV2), nLEResourceAV2);
        MethodCollector.o(18447);
    }

    public final void LIZ(boolean z) {
        MethodCollector.i(18444);
        NLEEditorJniJNI.NLESegmentAudio_setKeepTone(this.LIZ, this, z);
        MethodCollector.o(18444);
    }
}
